Skip to content
💡 Want to test this API interactively? Open API Playground ↗

Get After-sales Details ​

Retrieve the after-sales (refund/dispute) details for a specific order.

Basic Information ​

PropertyValue
MethodGET
Path/seller/order/{orderId}/after-sales
AuthenticationBearer Token

Path Parameters ​

ParameterTypeRequiredDescription
orderIdintegerYesOrder ID

Request Headers ​

HeaderTypeRequiredDescription
AuthorizationstringYesBearer <accessToken>

Request Example ​

http
GET /merchant-api/seller/order/1689644928115784/after-sales HTTP/1.1
Host: paas-gateway.imetastore.io
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

Response Parameters ​

ParameterTypeDescription
data.idintegerAfter-sales record ID
data.orderIdintegerOrder ID
data.orderNumstringOrder number
data.buyerNamestringBuyer name
data.afterSalesOrderNumstringAfter-sales order number
data.isReceiptbooleanWhether goods were received
data.afterSalesReasonintegerAfter-sales reason code
data.afterSalesReasonTextstringAfter-sales reason text
data.originalCurrencyProductPricenumberProduct price (seller)
data.originalCurrencyCodestringCurrency code (seller)
data.originalCurrencySymbolstringCurrency symbol (seller)
data.convertCurrencyPricenumberProduct price (buyer)
data.convertCurrencyCodestringCurrency code (buyer)
data.convertCurrencySymbolstringCurrency symbol (buyer)
data.orderDeliveryStatusintegerDelivery status
data.descriptionstringAfter-sales description (buyer)
data.imageUrlsarray[string]After-sales image URLs (buyer)
data.imageIdsarray[string]After-sales image IDs (buyer)
data.rejectReasonintegerRejection reason code (seller)
data.rejectImageUrlsarray[string]Rejection image URLs (seller)
data.rejectImageIdsarray[string]Rejection image IDs (seller)
data.operationTimestringSeller operation time
data.orderAfterSalesStatusintegerAfter-sales status (see below)
data.afterSalesCountintegerAfter-sales count for this order
data.createTimestringCreation time
data.updateTimestringUpdate time
data.contactEmailstringBuyer contact email
data.brandIdintegerBrand ID
data.brandNamestringBrand name
data.categoryId3integerCategory ID

orderAfterSalesStatus values:

ValueDescription
1Awaiting confirmation
2Seller disagrees to refund
3Seller agrees to refund
4Platform agrees to refund
5Payment successfully made
6Payment failed
7In dispute
8Refund canceled
9Dispute canceled
10Platform rejects refund
11Seller rejects, pending confirmation

Success Response ​

json
{
  "code": "0000",
  "msg": "Success",
  "time": "2025-12-17T13:44:16.000Z",
  "data": {
    "id": 100001,
    "orderId": 1689644928115784,
    "orderNum": "SO1689644928115784",
    "buyerName": "buyer123",
    "afterSalesOrderNum": "AS1689644928115784",
    "isReceipt": true,
    "afterSalesReason": 1,
    "afterSalesReasonText": "Item not as described",
    "originalCurrencyProductPrice": 9.99,
    "originalCurrencyCode": "USD",
    "originalCurrencySymbol": "$",
    "convertCurrencyPrice": 8.99,
    "convertCurrencyCode": "EUR",
    "convertCurrencySymbol": "€",
    "orderDeliveryStatus": 1,
    "description": "The game code does not work",
    "imageUrls": ["https://example.com/buyer-proof.png"],
    "imageIds": ["img-001"],
    "rejectReason": 0,
    "rejectImageUrls": [],
    "rejectImageIds": [],
    "operationTime": null,
    "orderAfterSalesStatus": 1,
    "afterSalesCount": 1,
    "createTime": "2025-12-18T10:00:00.000Z",
    "updateTime": "2025-12-18T10:00:00.000Z",
    "contactEmail": "[email protected]",
    "brandId": 100,
    "brandName": "GameBrand",
    "categoryId3": 500
  }
}

All game copyrights, trademarks, and service marks belong to their respective owners.